#
# Makefile for ALSA
# Copyright (c) 1999 by Jaroslav Kysela <perex@suse.cz>
#

EXTRA_CFLAGS := -I../include

SUB_DIRS     := generic isa i2c
ifeq ($(CONFIG_SND_GUS),y)
  SUB_DIRS += gus
endif
ifeq ($(CONFIG_SND_GUS),m)
  SUB_DIRS += gus
endif
ifeq ($(CONFIG_SND_SB8_DSP),y)
  SUB_DIRS += sb
endif
ifeq ($(CONFIG_SND_SB8_DSP),m)
  SUB_DIRS += sb
endif
ifeq ($(CONFIG_SND_SB16_DSP),y)
  SUB_DIRS += sb
endif
ifeq ($(CONFIG_SND_SB16_DSP),m)
  SUB_DIRS += sb
endif
ifeq ($(CONFIG_PCI),y)
  SUB_DIRS += pci
endif
ifeq ($(CONFIG_SND_SGI),y)
  SUB_DIRS += hal2
endif
MOD_SUB_DIRS := $(SUB_DIRS)
ALL_SUB_DIRS := generic isa i2c gus sb pci hal2

L_TARGET     :=
M_OBJS	     :=
L_OBJS       :=
LX_OBJS      :=
MIX_OBJS     :=

include $(TOPDIR)/Rules.make
